import axios from 'axios';

const request = axios.create({
	baseURL: import.meta.env.VITE_MOCK_BASE_API,
	timeout: import.meta.env.VITE_BASE_API_TIMEOUT,
});

// 请求拦截器
request.interceptors.request.use(config => {
	return config;
});

// 响应拦截器
request.interceptors.response.use(
	response => {
		return response.data;
	},
	error => {
		console.log(error);
		return Promise.reject(new Error('网络错误'));
	},
);

export default request;
